ERF(3)

NAME
PDL::GSLSF::ERF - PDL interface to GSL Special Functions

DESCRIPTION
This is an interface to the Special Function package present in the GNU Scientific Library.

SYNOPSIS

Functions

FUNCTIONS

  gsl_sf_erfc
  Signature: (double x(); double [o]y(); double [o]e())

Complementary Error Function erfc(x) := 2/Sqrt[Pi] Integrate[Exp[-t^2], {t,x,Infinity}]

gsl_sf_erfc does not process bad values. It will set the bad-value flag of all output piddles if the flag is set for any of the input piddles.

  gsl_sf_log_erfc
  Signature: (double x(); double [o]y(); double [o]e())

Log Complementary Error Function

gsl_sf_log_erfc does not process bad values. It will set the bad-value flag of all output piddles if the flag is set for any of the input piddles.

  gsl_sf_erf
  Signature: (double x(); double [o]y(); double [o]e())

Error Function erf(x) := 2/Sqrt[Pi] Integrate[Exp[-t^2], {t,0,x}]

gsl_sf_erf does not process bad values. It will set the bad-value flag of all output piddles if the flag is set for any of the input piddles.

  gsl_sf_erf_Z
  Signature: (double x(); double [o]y(); double [o]e())

Z(x) : Abramowitz+Stegun 26.2.1

gsl_sf_erf_Z does not process bad values. It will set the bad-value flag of all output piddles if the flag is set for any of the input piddles.

  gsl_sf_erf_Q
  Signature: (double x(); double [o]y(); double [o]e())

Q(x) : Abramowitz+Stegun 26.2.1

gsl_sf_erf_Q does not process bad values. It will set the bad-value flag of all output piddles if the flag is set for any of the input piddles.

AUTHOR
This file copyright (C) 1999 Christian Pellegrin <chri@infis.univ.trieste.it> All rights reserved. There is no warranty. You are allowed to redistribute this software / documentation under certain conditions. For details, see the file COPYING in the PDL distribution. If this file is separated from the PDL distribution, the copyright notice should be included in the file.

The GSL SF modules were written by G. Jungman.